/* 
 * Validator задачи ДВЕ ДОМИНОШКИ.
*/
#include "testlib.h"
using namespace std;

int main()
{
    registerValidation();
    int a = inf.readInt(0, 6, "a"); inf.readSpace();
    int b = inf.readInt(0, 6, "b"); inf.readEoln();
    int c = inf.readInt(0, 6, "c"); inf.readSpace();
    int d = inf.readInt(0, 6, "d"); inf.readEoln();
    
    if ((a == c) && (b == d)) quitf(_pe,"two dominoes is equal");
    if ((a == d) && (b == c)) quitf(_pe,"two dominoes is equal");

    inf.readEof();    
    return 0;
}